package fr.michaelm.jump.query;

import com.vividsolutions.jump.workbench.plugin.AbstractPlugIn;
import com.vividsolutions.jump.workbench.plugin.PlugInContext;
import java.util.Locale;
import java.util.ResourceBundle;
import fr.michaelm.jump.query.QueryDialog;
import buoy.event.*;
import buoy.widget.*;
import java.awt.Window;
import javax.swing.JDialog;

/**
 * QueryPlugIn
 * @author Michal MICHAUD
 * @version 0.1.1 (5 Jan 2005)
 */ 
public class QueryPlugIn extends AbstractPlugIn {
    static QueryDialog queryDialog;
    
    public void initialize(PlugInContext context) {
        ResourceBundle i18n =
            ResourceBundle.getBundle("QueryDialog_i18n");
        context.getFeatureInstaller().addMainMenuItem(
            this,
            new String[] { i18n.getString("jump.query.menu") },
            i18n.getString("jump.query.menuitem"),
            false,
            null,
            null);
        
    }
                                                      
    public boolean execute(PlugInContext context) throws Exception {
        if (queryDialog==null) {
            queryDialog = new QueryDialog(context, Locale.getDefault());
        }
        queryDialog.initUI();
        return false;
    }
    
}
