package fr.michaelm.jump.query;

import com.vividsolutions.jump.workbench.plugin.Extension;
import com.vividsolutions.jump.workbench.plugin.PlugInContext;
import java.util.ResourceBundle;

/**
 * QueryPlugInExtension
 * @author Michal MICHAUD
 * @version 0.1.1 (9 Jan 2005)
 */ 
public class QueryPlugInExtension extends Extension {

    public void configure(PlugInContext context) throws Exception {
        new QueryPlugIn().initialize(context);
    }
    
    public String getName() {
        ResourceBundle i18n =
            ResourceBundle.getBundle("QueryDialog_i18n");
        return i18n.getString("jump.query.menuitem");
    }
    
    public String getVersion() {return "0.1.0 (11/12/2004)";}
    
}
